Subject: Re: [PATCH v4 0/8] add more ref consistency checks

From: shejialuo <[email-masked]>
Date: Fri, 14 Feb 2025 20:16:30 +0800

On Fri, Feb 14, 2025 at 01:04:09AM -0800, Karthik Nayak wrote:
> shejialuo <[email-masked]> writes:
> 
> > Hi All:
> >
> > This patch enhances the following things:
> >
> > 1. [PATCH v4 4/8]: update the tests to verify that we don't report any
> >    errors to the user in some cases. Also, suggested by Junio, make sure
> >    that we check whether there is a trailing space after "# packed-refs
> >    with:".
> > 2. [PATCH v4 6/8]: instead of greedily calculating the name of the line,
> >    lazily compute when there is any errors. And use the HERE docs to
> >    improve the test script.
> > 3. [PATCH v4 7/8]: instead of storing the states, we parse the file
> >    again to check whether the file is sorted to avoid allocating too
> >    much memory. And use the HERE docs to improve the test script.
> > 4. [PATCH v4 8/8]: update the documentation to emphasis the default. And
> >    add tests to exercise the code.
> >
> 
> Nit: For someone coming in to review the 4th version directly it would
> be really nice to see:
> 
> 1. Summary of what the patch series is about.
> 2. Changes built over the last versions.
> 
> I know all this information is already spread out over the previous
> versions, but would be nice to have it here (in every version rather).
> 

Thanks for your suggestion, I will do this in my later patch.